From: "Chris Reffett" <creffett@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: app-office/akonadi-server/
Date: Mon, 9 Dec 2013 04:10:07 +0000 (UTC) [thread overview]
Message-ID: <1386561561.bac6fb7a5a44abe9fa6fd68a355bdbe22c727886.creffett@gentoo> (raw)
commit: bac6fb7a5a44abe9fa6fd68a355bdbe22c727886
Author: Chris Reffett <creffett <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 9 03:17:46 2013 +0000
Commit: Chris Reffett <creffett <AT> gentoo <DOT> org>
CommitDate: Mon Dec 9 03:59:21 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=bac6fb7a
[app-office/akonadi-server] Bump to 1.11.0
Package-Manager: portage-2.2.7
---
.../akonadi-server/akonadi-server-1.11.0.ebuild | 126 +++++++++++++++++++++
1 file changed, 126 insertions(+)
diff --git a/app-office/akonadi-server/akonadi-server-1.11.0.ebuild b/app-office/akonadi-server/akonadi-server-1.11.0.ebuild
new file mode 100644
index 0000000..3d2cf0a
--- /dev/null
+++ b/app-office/akonadi-server/akonadi-server-1.11.0.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+if [[ $PV = *9999* ]]; then
+ scm_eclass=git-2
+ EGIT_REPO_URI="git://anongit.kde.org/akonadi"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="mirror://kde/stable/${PN/-server/}/src/${PN/-server/}-${PV}.tar.bz2 -> ${P}.tar.bz2"
+ KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+ S="${WORKDIR}/${P/-server/}"
+fi
+
+inherit cmake-utils ${scm_eclass}
+
+DESCRIPTION="The server part of Akonadi"
+HOMEPAGE="http://pim.kde.org/akonadi"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="+mysql postgres +qt4 qt5 sqlite test"
+
+REQUIRED_USE="^^ ( qt4 qt5 ) || ( sqlite mysql postgres )"
+
+CDEPEND="
+ dev-libs/boost:=
+ >=dev-libs/soprano-2.6.51
+ x11-misc/shared-mime-info
+ qt4? (
+ >=dev-qt/qtcore-4.8.5:4
+ >=dev-qt/qtdbus-4.8.5:4
+ >=dev-qt/qtgui-4.8.5:4
+ >=dev-qt/qtsql-4.8.5:4[mysql?,postgres?]
+ >=dev-qt/qttest-4.8.5:4
+ )
+ qt5? (
+ >=dev-libs/soprano-2.6.51[-qt4,qt5]
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsql:5[mysql?,postgres?]
+ dev-qt/qttest:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ )
+ sqlite? ( dev-db/sqlite:3 )
+"
+DEPEND="${CDEPEND}
+ dev-libs/libxslt
+ >=dev-util/automoc-0.9.88
+ test? ( sys-apps/dbus )
+"
+RDEPEND="${CDEPEND}
+ postgres? ( dev-db/postgresql-server )
+"
+
+pkg_setup() {
+ # Set default storage backend in order: MySQL, SQLite PostgreSQL
+ # reverse driver check to keep the order
+ if use postgres; then
+ DRIVER="QPSQL"
+ AVAILABLE+=" ${DRIVER}"
+ fi
+
+ if use sqlite; then
+ DRIVER="QSQLITE3"
+ AVAILABLE+=" ${DRIVER}"
+ fi
+
+ if use mysql; then
+ DRIVER="QMYSQL"
+ AVAILABLE+=" ${DRIVER}"
+ fi
+
+ # Notify about MySQL is recommend by upstream
+ if use sqlite || has_version "<${CATEGORY}/${P}[sqlite]"; then
+ ewarn
+ ewarn "We strongly recommend you change your Akonadi database backend to MySQL in your"
+ ewarn "user configuration. This is the backend recommended by KDE upstream."
+ ewarn "In particular, kde-base/kmail-4.10 does not work properly with the sqlite"
+ ewarn "backend anymore."
+ ewarn "You can select the backend in your ~/.config/akonadi/akonadiserverrc."
+ ewarn "Available drivers are:${AVAILABLE}"
+ ewarn
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DAKONADI_USE_STRIGI_SEARCH=OFF
+ -DINSTALL_QSQLITE_IN_QT_PREFIX=ON
+ $(cmake-utils_use test AKONADI_BUILD_TESTS)
+ $(cmake-utils_use sqlite AKONADI_BUILD_QSQLITE)
+ $(cmake-utils_use qt5 QT5_BUILD)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_test() {
+ export $(dbus-launch)
+ cmake-utils_src_test
+}
+
+src_install() {
+ # Who knows, maybe it accidentally fixes our permission issues
+ cat <<-EOF > "${T}"/akonadiserverrc
+[%General]
+Driver=${DRIVER}
+EOF
+ insinto /usr/share/config/akonadi
+ doins "${T}"/akonadiserverrc
+
+ cmake-utils_src_install
+}
+
+pkg_postinst() {
+ elog "${DRIVER} has been set as your default akonadi storage backend."
+ elog "You can override it in your ~/.config/akonadi/akonadiserverrc."
+ elog "Available drivers are: ${AVAILABLE}"
+}
next reply other threads:[~2013-12-09 4:10 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-12-09 4:10 Chris Reffett [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-07-22 12:36 [gentoo-commits] proj/kde:master commit in: app-office/akonadi-server/ Michael Palimaka
2014-12-30 16:39 Elias Probst
2014-09-12 19:03 Johannes Huber
2014-09-11 21:52 Johannes Huber
2014-08-10 11:43 Johannes Huber
2014-07-20 14:22 Andreas Hüttel
2014-07-18 15:01 Johannes Huber
2014-07-18 13:58 Manuel Rüger
2014-04-21 13:23 Johannes Huber
2014-04-21 12:32 Johannes Huber
2014-03-29 19:50 Johannes Huber
2014-03-19 21:53 Johannes Huber
2014-03-08 15:09 Johannes Huber
2013-12-18 18:02 Johannes Huber
2013-11-24 0:22 Johannes Huber
2013-10-14 22:00 Andreas Hüttel
2013-10-13 17:03 Johannes Huber
2013-09-08 13:50 Michael Palimaka
2013-07-10 19:59 Johannes Huber
2013-06-12 21:18 Johannes Huber
2013-06-03 15:32 Michael Palimaka
2013-06-01 15:58 Michael Palimaka
2013-05-08 18:39 Johannes Huber
2013-03-20 13:25 Michael Palimaka
2013-03-11 16:21 Michael Palimaka
2013-03-03 16:14 Michael Palimaka
2013-02-06 20:17 Andreas Hüttel
2013-02-06 16:03 Chris Reffett
2013-02-06 15:59 Chris Reffett
2013-01-04 7:50 Alexey Shvetsov
2013-01-04 7:45 Alexey Shvetsov
2012-11-25 16:35 Andreas Hüttel
2012-11-16 19:05 Alexey Shvetsov
2012-07-25 21:15 Johannes Huber
2012-06-28 13:14 Andreas Hüttel
2012-01-25 19:15 Johannes Huber
2012-01-24 22:57 Andreas Hüttel
2012-01-18 12:25 Johannes Huber
2011-12-21 0:00 Johannes Huber
2011-10-23 2:07 Jonathan Callen
2011-07-18 11:49 Jorge Manuel B. S. Vicetto
2011-07-11 21:38 Alexey Shvetsov
2011-06-29 9:06 Alexey Shvetsov
2011-05-24 5:57 Jorge Manuel B. S. Vicetto
2011-04-05 23:43 Tomas Chvatal
2011-04-05 23:27 Tomas Chvatal
2011-02-17 16:55 Tomas Chvatal
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1386561561.bac6fb7a5a44abe9fa6fd68a355bdbe22c727886.creffett@gentoo \
--to=creffett@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox